Package org.eclipse.birt.chart.model.attribute

# Interface Interactivity

All Superinterfaces:
  `org.eclipse.emf.ecore.EObject`, `IChartObject`, `org.eclipse.emf.common.notify.Notifier`

All Known Implementing Classes:
  `InteractivityImpl`

public interface Interactivity extends IChartObject
A representation of the model object 'Interactivity'. Interactivity represents the interactivity settings for the chart.

The following features are supported:

- `Enable`
- `Legend Behavior`

See Also:
  - `AttributePackage.getInteractivity()`

## Method Summary

Modifier and Type
Method
Description
`Interactivity`
`copyInstance()`
`LegendBehaviorType`
`getLegendBehavior()`
Returns the value of the 'Legend Behavior' attribute.
`boolean`
`isEnable()`
Returns the value of the 'Enable' attribute.
`boolean`
`isSetEnable()`
Returns whether the value of the '`Enable`' attribute is set.
`boolean`
`isSetLegendBehavior()`
Returns whether the value of the '`Legend Behavior`' attribute is set.
`void`
`setEnable(boolean value)`
Sets the value of the '`Enable`' attribute.
`void`
`setLegendBehavior(LegendBehaviorType value)`
Sets the value of the '`Legend Behavior`' attribute.
`void`
`unsetEnable()`
Unsets the value of the '`Enable`' attribute.
`void`
`unsetLegendBehavior()`
Unsets the value of the '`Legend Behavior`' attribute.

### Methods inherited from interface org.eclipse.emf.ecore.EObject

`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

### Methods inherited from interface org.eclipse.emf.common.notify.Notifier

`eAdapters, eDeliver, eNotify, eSetDeliver`

## Method Details

### isEnable

boolean isEnable()
Returns the value of the 'Enable' attribute. The default value is `"true"`. Attribute "Enable" specifies whether all interactive features are enabled, by default it's true.

Returns:
  the value of the 'Enable' attribute.
See Also:
  - `isSetEnable()`
  - `unsetEnable()`
  - `setEnable(boolean)`
  - `AttributePackage.getInteractivity_Enable()`

### setEnable

void setEnable(boolean value)
Sets the value of the '`Enable`' attribute.

Parameters:
  `value` - the new value of the 'Enable' attribute.
See Also:
  - `isSetEnable()`
  - `unsetEnable()`
  - `isEnable()`

### unsetEnable

void unsetEnable()
Unsets the value of the '`Enable`' attribute.

See Also:
  - `isSetEnable()`
  - `isEnable()`
  - `setEnable(boolean)`

### isSetEnable

boolean isSetEnable()
Returns whether the value of the '`Enable`' attribute is set.

Returns:
  whether the value of the 'Enable' attribute is set.
See Also:
  - `unsetEnable()`
  - `isEnable()`
  - `setEnable(boolean)`

### getLegendBehavior

LegendBehaviorType getLegendBehavior()
Returns the value of the 'Legend Behavior' attribute. The default value is `"None"`. The literals are from the enumeration `LegendBehaviorType`. Three possible behaviours: None, Toggle the Serie visibility, Highlight the serie.

Returns:
  the value of the 'Legend Behavior' attribute.
See Also:
  - `LegendBehaviorType`
  - `isSetLegendBehavior()`
  - `unsetLegendBehavior()`
  - `setLegendBehavior(LegendBehaviorType)`
  - `AttributePackage.getInteractivity_LegendBehavior()`

### setLegendBehavior

void setLegendBehavior(LegendBehaviorType value)
Sets the value of the '`Legend Behavior`' attribute.

Parameters:
  `value` - the new value of the 'Legend Behavior' attribute.
See Also:
  - `LegendBehaviorType`
  - `isSetLegendBehavior()`
  - `unsetLegendBehavior()`
  - `getLegendBehavior()`

### unsetLegendBehavior

void unsetLegendBehavior()
Unsets the value of the '`Legend Behavior`' attribute.

See Also:
  - `isSetLegendBehavior()`
  - `getLegendBehavior()`
  - `setLegendBehavior(LegendBehaviorType)`

### isSetLegendBehavior

boolean isSetLegendBehavior()
Returns whether the value of the '`Legend Behavior`' attribute is set.

Returns:
  whether the value of the 'Legend Behavior' attribute is set.
See Also:
  - `unsetLegendBehavior()`
  - `getLegendBehavior()`
  - `setLegendBehavior(LegendBehaviorType)`

### copyInstance

Interactivity copyInstance()

Specified by:
  `copyInstance` in interface `IChartObject`